import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/customerCategory/` + url, ...arg)

/**
 * 客户分类Api接口管理器
 *
 * @author Luck
 * @date  2024/07/23 17:02
 **/
export default {
	// 获取客户分类分页
	customerCategoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取树结构
	customerCategoryTree(data) {
		return request('tree', data, 'get')
	},
	// 提交客户分类表单 edit为true时为编辑，默认为新增
	customerCategorySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除客户分类
	customerCategoryDelete(data) {
		return request('delete', data)
	},
	// 获取客户分类详情
	customerCategoryDetail(data) {
		return request('detail', data, 'get')
	}
}
